com.independentsoft.exchange

## Class Property

- java.lang.Object
- - com.independentsoft.exchange.Property

- Direct Known Subclasses:
    ExtendedProperty

      public class Property
      extends java.lang.Object

  Represents item's or folder's property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, boolean value)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, byte[] value)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, java.util.Date value)` Instantiates a new property.
    `Property(PropertyPath propertyPath, double value)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, java.util.List<java.lang.String> values)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, long value)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, java.lang.Object value)` Initializes a new instance of the Property class.
    `Property(PropertyPath propertyPath, java.lang.String value)` Initializes a new instance of the Property class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyPath` | `getPropertyPath()` Gets property path.
    `java.lang.String` | `getValue()` Gets property value.
    `java.util.List<java.lang.String>` | `getValues()` Gets a collection of values for multi-value properties.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets property path.
    `void` | `setValue(java.lang.String value)` Sets property value.
    `java.lang.String` | `toString()` Converts the value of the current Property object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property()

      Initializes a new instance of the Property class.

    - #### Property

          public Property(PropertyPath propertyPath)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path

    - #### Property

          public Property(PropertyPath propertyPath,
                          java.lang.String value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          long value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          double value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          boolean value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          java.util.Date value)

      Instantiates a new property.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          byte[] value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          java.lang.Object value)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### Property

          public Property(PropertyPath propertyPath,
                          java.util.List<java.lang.String> values)

      Initializes a new instance of the Property class.
      Parameters:
        `propertyPath` - the property path
        `values` - the values

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Property object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets property path.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets property path.
      Parameters:
        `propertyPath` - the new property path

    - #### getValue

          public java.lang.String getValue()

      Gets property value.
      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.String value)

      Sets property value.
      Parameters:
        `value` - the new value

    - #### getValues

          public java.util.List<java.lang.String> getValues()

      Gets a collection of values for multi-value properties.
      Returns:
        the values